from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Float, Int, Boolean

Anvi_Inspect_V0_1_0 = CommandToolBuilder(tool="anvi_inspect", base_command=["anvi-inspect"], inputs=[ToolInput(tag="in_profile_db", input_type=String(optional=True), prefix="--profile-db", doc=InputDocumentation(doc="Anvi'o profile database (default: None)")), ToolInput(tag="in_contigs_db", input_type=String(optional=True), prefix="--contigs-db", doc=InputDocumentation(doc="Anvi'o contigs database generated by 'anvi-gen-\ncontigs-database' (default: None)")), ToolInput(tag="in_split_name", input_type=String(optional=True), prefix="--split-name", doc=InputDocumentation(doc="Split name. (default: None)")), ToolInput(tag="in_ip_address", input_type=Float(optional=True), prefix="--ip-address", doc=InputDocumentation(doc="IP address for the HTTP server. The default ip address\n(0.0.0.0) should work just fine for most.")), ToolInput(tag="in_port_number", input_type=Int(optional=True), prefix="--port-number", doc=InputDocumentation(doc="Port number to use for anvi'o services. If nothing is\ndeclared, anvi'o will try to find a suitable port\nnumber, starting from the default port number, 8080.\n(default: None)")), ToolInput(tag="in_server_only", input_type=Boolean(optional=True), prefix="--server-only", doc=InputDocumentation(doc="The default behavior is to start the local server, and\nfire up a browser that connects to the server. If you\nhave other plans, and want to start the server without\ncalling the browser, this is the flag you need.\n(default: False)")), ToolInput(tag="in_just_do_it", input_type=Boolean(optional=True), prefix="--just-do-it", doc=InputDocumentation(doc="Don't bother me with questions or warnings, just do\nit. (default: False)")), ToolInput(tag="in_interface_dot", input_type=String(), position=0, doc=InputDocumentation(doc="--hide-outlier-SNVs   During profiling, anvi'o marks positions of single-\nnucleotide variations (SNVs) that originate from\nplaces in contigs where coverage values are a bit\n'sketchy'. If you would like to avoid SNVs in those\npositions of splits in applicable projects you can use\nthis flag, and the interface would hide SNVs that are\nmarked as 'outlier' (although it is clearly the best\nto see everything, no one will judge you if you end up\nusing this flag) (plus, there may or may not be some\nhistorical data on this here:\nhttps://github.com/meren/anvio/issues/309). (default:\nFalse)")), ToolInput(tag="in_interactive", input_type=String(), position=0, doc=InputDocumentation(doc="🍺 More on `anvi-inspect`:"))], outputs=[], container="quay.io/biocontainers/anvio-minimal:7--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Inspect_V0_1_0().translate("wdl")

